%global commit 9f0324125f53

Summary: H.265/HEVC encoder library
Name: x265
Version: 1.5
Release: 2%{?_dist_release}
Group: System Environment/Libraries
URL: http://x265.org/
Source0: https://bitbucket.org/multicoreware/x265/get/%{version}.tar.bz2
# fix pkgconfig file installation path
#Patch0: x265-pc-path.patch
# link test binaries with shared library
Patch1: x265-1.5-test-shared.patch
# build with -fPIC on arm and i686, too
Patch2: x265-pic.patch
# source/Lib/TLibCommon - BSD
# source/Lib/TLibEncoder - BSD
# everything else - GPLv2+
License: GPLv2+ and BSD
BuildRequires: cmake
BuildRequires: yasm

%description
The primary objective of x265 is to become the best H.265/HEVC encoder
available anywhere, offering the highest compression efficiency and the
highest performance on a wide variety of hardware platforms.

This package contains the command line encoder and the shared library.

%package devel
Summary: H.265/HEVC encoder library development files
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The primary objective of x265 is to become the best H.265/HEVC encoder
available anywhere, offering the highest compression efficiency and the
highest performance on a wide variety of hardware platforms.

This package contains the shared library development files.

%prep
%setup -q -n multicoreware-%{name}-%{commit}
#%patch0 -p1 -b .p
# tests are crashing on x86 if linked against shared libx265
%ifnarch i686
%patch1 -p1 -b .ts
%endif
%patch2 -p1 -b .pic

# f=doc/uncrustify/drag-uncrustify.bat
# tr -d '\r' < ${f} > ${f}.unix && \
# touch -r ${f} ${f}.unix && \
# %__mv ${f}.unix ${f} || exit 1

%build
%cmake -G "Unix Makefiles" \
 -DCMAKE_SKIP_RPATH:BOOL=YES \
 -DENABLE_TESTS:BOOL=ON \
 source
%__make %{?_smp_mflags}

%install
%__make DESTDIR=%{buildroot} install
%__rm %{buildroot}%{_libdir}/libx265.a || exit 1
# %__install -Dpm644 COPYING %{buildroot}%{_pkgdocdir}/COPYING

%check
#LD_LIBRARY_PATH=$(pwd) test/PoolTest
LD_LIBRARY_PATH=$(pwd) test/TestBench

exit 0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_bindir}/x265
# %dir %{_pkgdocdir}
# %{_pkgdocdir}/COPYING
%doc COPYING
%{_libdir}/libx265.so.43

%files devel
%doc doc/*
%{_includedir}/x265.h
%{_includedir}/x265_config.h
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/x265.pc

%changelog
* Sat Feb 21 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.5-2
- rebuild

* Sat Feb 21 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.5-1
- new upstream release (ABI 43)
- drop x265-pc-path.patch
- add x265-1.5-test-shared.patch

* Sat Feb  7 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.4-2
- added Group tag to Source0

* Fri Jan  2 2015 Munehiro Yamamoto <munepi@vinelinux.org> 1.4-1
- new upstream release (ABI 35)
- initial build based on RPM Fusion rawhide

* Sun Aug 17 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-5
- don't include contributor agreement in doc
- make sure /usr/share/doc/x265 is owned
- add a comment noting which files are BSD-licenced

* Fri Aug 08 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-4
- don't create bogus soname (patch by Xavier)

* Thu Jul 17 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-3
- fix tr call to remove DOS EOL
- build the library with -fPIC on arm and i686, too

* Sun Jul 13 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-2
- use version in source URL
- update License tag
- fix EOL in drag-uncrustify.bat
- don't link test binaries with shared binary on x86 (segfault)

* Thu Jul 10 2014 Dominik Mierzejewski <rpm@greysector.net> 1.2-1
- initial build
- fix pkgconfig file install location
- link test binaries with shared library
